Create a streaming transcription token
curl --request POST \
--url https://api.sully.ai/v1/audio/transcriptions/stream/token \
--header 'Content-Type: application/json' \
--header 'X-ACCOUNT-ID: <api-key>' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"expiresIn": 3600
}
'import requests
url = "https://api.sully.ai/v1/audio/transcriptions/stream/token"
payload = { "expiresIn": 3600 }
headers = {
"X-API-KEY": "<api-key>",
"X-ACCOUNT-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-KEY': '<api-key>',
'X-ACCOUNT-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({expiresIn: 3600})
};
fetch('https://api.sully.ai/v1/audio/transcriptions/stream/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "tok_EXAMPLE123456789"
}{
"error": 123,
"message": "<string>"
}Audio Transcriptions
Create Streaming Token
Create a temporary authentication token for real-time speech-to-text streaming.
Use this token when connecting to /v1/audio/transcriptions/stream.
The websocket connection accepts an optional dictation=true|false query parameter.
POST
/
v1
/
audio
/
transcriptions
/
stream
/
token
Create a streaming transcription token
⌘I